// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.18.1
// source: vseth/vis/people/people.proto

package people

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type MembershipType int32

const (
	MembershipType_NONE MembershipType = 0
	// Deprecated: Do not use.
	MembershipType_ACTIVE_DO_NOT_USE MembershipType = 1
	MembershipType_PASSIVE           MembershipType = 2
	MembershipType_HONORARY          MembershipType = 3
	MembershipType_ORDINARY          MembershipType = 4
)

// Enum value maps for MembershipType.
var (
	MembershipType_name = map[int32]string{
		0: "NONE",
		1: "ACTIVE_DO_NOT_USE",
		2: "PASSIVE",
		3: "HONORARY",
		4: "ORDINARY",
	}
	MembershipType_value = map[string]int32{
		"NONE":              0,
		"ACTIVE_DO_NOT_USE": 1,
		"PASSIVE":           2,
		"HONORARY":          3,
		"ORDINARY":          4,
	}
)

func (x MembershipType) Enum() *MembershipType {
	p := new(MembershipType)
	*p = x
	return p
}

func (x MembershipType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (MembershipType) Descriptor() protoreflect.EnumDescriptor {
	return file_vseth_vis_people_people_proto_enumTypes[0].Descriptor()
}

func (MembershipType) Type() protoreflect.EnumType {
	return &file_vseth_vis_people_people_proto_enumTypes[0]
}

func (x MembershipType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use MembershipType.Descriptor instead.
func (MembershipType) EnumDescriptor() ([]byte, []int) {
	return file_vseth_vis_people_people_proto_rawDescGZIP(), []int{0}
}

type Language int32

const (
	Language_GERMAN  Language = 0
	Language_FRENCH  Language = 1
	Language_ITALIAN Language = 2
	Language_ENGLISH Language = 3
)

// Enum value maps for Language.
var (
	Language_name = map[int32]string{
		0: "GERMAN",
		1: "FRENCH",
		2: "ITALIAN",
		3: "ENGLISH",
	}
	Language_value = map[string]int32{
		"GERMAN":  0,
		"FRENCH":  1,
		"ITALIAN": 2,
		"ENGLISH": 3,
	}
)

func (x Language) Enum() *Language {
	p := new(Language)
	*p = x
	return p
}

func (x Language) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (Language) Descriptor() protoreflect.EnumDescriptor {
	return file_vseth_vis_people_people_proto_enumTypes[1].Descriptor()
}

func (Language) Type() protoreflect.EnumType {
	return &file_vseth_vis_people_people_proto_enumTypes[1]
}

func (x Language) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use Language.Descriptor instead.
func (Language) EnumDescriptor() ([]byte, []int) {
	return file_vseth_vis_people_people_proto_rawDescGZIP(), []int{1}
}

// RepeatedStringValue just wraps a repeated string.
// It is useful when it is used as field type (eg. `RepeatedStringValue emails = 1`), since it can be null.
// This allows differentiating between no value (no RepeatedStringValue supplied) and an
// empty list of strings (RepeatedStringValue supplied, but `repeated string value = 1` is empty).
// See also: https://github.com/google/protobuf/blob/master/src/google/protobuf/wrappers.proto
type RepeatedStringValue struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value []string `protobuf:"bytes,1,rep,name=value,proto3" json:"value,omitempty"`
}

func (x *RepeatedStringValue) Reset() {
	*x = RepeatedStringValue{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_people_people_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RepeatedStringValue) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RepeatedStringValue) ProtoMessage() {}

func (x *RepeatedStringValue) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_people_people_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RepeatedStringValue.ProtoReflect.Descriptor instead.
func (*RepeatedStringValue) Descriptor() ([]byte, []int) {
	return file_vseth_vis_people_people_proto_rawDescGZIP(), []int{0}
}

func (x *RepeatedStringValue) GetValue() []string {
	if x != nil {
		return x.Value
	}
	return nil
}

// StringValue is used for differentiating between no supplied value and an explicitly empty string.
type StringValue struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value string `protobuf:"bytes,1,opt,name=value,proto3" json:"value,omitempty"`
}

func (x *StringValue) Reset() {
	*x = StringValue{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_people_people_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StringValue) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StringValue) ProtoMessage() {}

func (x *StringValue) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_people_people_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StringValue.ProtoReflect.Descriptor instead.
func (*StringValue) Descriptor() ([]byte, []int) {
	return file_vseth_vis_people_people_proto_rawDescGZIP(), []int{1}
}

func (x *StringValue) GetValue() string {
	if x != nil {
		return x.Value
	}
	return ""
}

type Empty struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *Empty) Reset() {
	*x = Empty{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_people_people_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Empty) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Empty) ProtoMessage() {}

func (x *Empty) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_people_people_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Empty.ProtoReflect.Descriptor instead.
func (*Empty) Descriptor() ([]byte, []int) {
	return file_vseth_vis_people_people_proto_rawDescGZIP(), []int{2}
}

type GetPersonRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Username string `protobuf:"bytes,1,opt,name=username,proto3" json:"username,omitempty"`
}

func (x *GetPersonRequest) Reset() {
	*x = GetPersonRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_people_people_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetPersonRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetPersonRequest) ProtoMessage() {}

func (x *GetPersonRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_people_people_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetPersonRequest.ProtoReflect.Descriptor instead.
func (*GetPersonRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_people_people_proto_rawDescGZIP(), []int{3}
}

func (x *GetPersonRequest) GetUsername() string {
	if x != nil {
		return x.Username
	}
	return ""
}

type ListPeopleRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ListPeopleRequest) Reset() {
	*x = ListPeopleRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_people_people_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListPeopleRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListPeopleRequest) ProtoMessage() {}

func (x *ListPeopleRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_people_people_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListPeopleRequest.ProtoReflect.Descriptor instead.
func (*ListPeopleRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_people_people_proto_rawDescGZIP(), []int{4}
}

type DeletePersonRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Username string `protobuf:"bytes,1,opt,name=username,proto3" json:"username,omitempty"`
}

func (x *DeletePersonRequest) Reset() {
	*x = DeletePersonRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_people_people_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeletePersonRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeletePersonRequest) ProtoMessage() {}

func (x *DeletePersonRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_people_people_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeletePersonRequest.ProtoReflect.Descriptor instead.
func (*DeletePersonRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_people_people_proto_rawDescGZIP(), []int{5}
}

func (x *DeletePersonRequest) GetUsername() string {
	if x != nil {
		return x.Username
	}
	return ""
}

type AuthPersonRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Username string `protobuf:"bytes,1,opt,name=username,proto3" json:"username,omitempty"`
	Password string `protobuf:"bytes,2,opt,name=password,proto3" json:"password,omitempty"`
}

func (x *AuthPersonRequest) Reset() {
	*x = AuthPersonRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_people_people_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AuthPersonRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AuthPersonRequest) ProtoMessage() {}

func (x *AuthPersonRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_people_people_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AuthPersonRequest.ProtoReflect.Descriptor instead.
func (*AuthPersonRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_people_people_proto_rawDescGZIP(), []int{6}
}

func (x *AuthPersonRequest) GetUsername() string {
	if x != nil {
		return x.Username
	}
	return ""
}

func (x *AuthPersonRequest) GetPassword() string {
	if x != nil {
		return x.Password
	}
	return ""
}

type AuthPersonResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Ok bool `protobuf:"varint,1,opt,name=ok,proto3" json:"ok,omitempty"`
}

func (x *AuthPersonResponse) Reset() {
	*x = AuthPersonResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_people_people_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AuthPersonResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AuthPersonResponse) ProtoMessage() {}

func (x *AuthPersonResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_people_people_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AuthPersonResponse.ProtoReflect.Descriptor instead.
func (*AuthPersonResponse) Descriptor() ([]byte, []int) {
	return file_vseth_vis_people_people_proto_rawDescGZIP(), []int{7}
}

func (x *AuthPersonResponse) GetOk() bool {
	if x != nil {
		return x.Ok
	}
	return false
}

type WrappedUsername struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Username string `protobuf:"bytes,1,opt,name=username,proto3" json:"username,omitempty"`
}

func (x *WrappedUsername) Reset() {
	*x = WrappedUsername{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_people_people_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *WrappedUsername) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*WrappedUsername) ProtoMessage() {}

func (x *WrappedUsername) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_people_people_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use WrappedUsername.ProtoReflect.Descriptor instead.
func (*WrappedUsername) Descriptor() ([]byte, []int) {
	return file_vseth_vis_people_people_proto_rawDescGZIP(), []int{8}
}

func (x *WrappedUsername) GetUsername() string {
	if x != nil {
		return x.Username
	}
	return ""
}

type EthPerson struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FirstName         string         `protobuf:"bytes,1,opt,name=first_name,json=firstName,proto3" json:"first_name,omitempty"`
	LastName          string         `protobuf:"bytes,2,opt,name=last_name,json=lastName,proto3" json:"last_name,omitempty"`
	VisMembership     MembershipType `protobuf:"varint,10,opt,name=vis_membership,json=visMembership,proto3,enum=vseth.vis.people.MembershipType" json:"vis_membership,omitempty"`
	VisActive         bool           `protobuf:"varint,11,opt,name=vis_active,json=visActive,proto3" json:"vis_active,omitempty"`
	Username          string         `protobuf:"bytes,5,opt,name=username,proto3" json:"username,omitempty"`
	Email             string         `protobuf:"bytes,6,opt,name=email,proto3" json:"email,omitempty"`
	PreferredLanguage Language       `protobuf:"varint,7,opt,name=preferred_language,json=preferredLanguage,proto3,enum=vseth.vis.people.Language" json:"preferred_language,omitempty"`
	UniqueIdNr        int32          `protobuf:"varint,8,opt,name=unique_id_nr,json=uniqueIdNr,proto3" json:"unique_id_nr,omitempty"` // requires privileged API key
	UniqueId          string         `protobuf:"bytes,9,opt,name=unique_id,json=uniqueId,proto3" json:"unique_id,omitempty"`          // requires privileged API key
}

func (x *EthPerson) Reset() {
	*x = EthPerson{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_people_people_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *EthPerson) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EthPerson) ProtoMessage() {}

func (x *EthPerson) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_people_people_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EthPerson.ProtoReflect.Descriptor instead.
func (*EthPerson) Descriptor() ([]byte, []int) {
	return file_vseth_vis_people_people_proto_rawDescGZIP(), []int{9}
}

func (x *EthPerson) GetFirstName() string {
	if x != nil {
		return x.FirstName
	}
	return ""
}

func (x *EthPerson) GetLastName() string {
	if x != nil {
		return x.LastName
	}
	return ""
}

func (x *EthPerson) GetVisMembership() MembershipType {
	if x != nil {
		return x.VisMembership
	}
	return MembershipType_NONE
}

func (x *EthPerson) GetVisActive() bool {
	if x != nil {
		return x.VisActive
	}
	return false
}

func (x *EthPerson) GetUsername() string {
	if x != nil {
		return x.Username
	}
	return ""
}

func (x *EthPerson) GetEmail() string {
	if x != nil {
		return x.Email
	}
	return ""
}

func (x *EthPerson) GetPreferredLanguage() Language {
	if x != nil {
		return x.PreferredLanguage
	}
	return Language_GERMAN
}

func (x *EthPerson) GetUniqueIdNr() int32 {
	if x != nil {
		return x.UniqueIdNr
	}
	return 0
}

func (x *EthPerson) GetUniqueId() string {
	if x != nil {
		return x.UniqueId
	}
	return ""
}

type VisPerson struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FirstName         string         `protobuf:"bytes,1,opt,name=first_name,json=firstName,proto3" json:"first_name,omitempty"`
	LastName          string         `protobuf:"bytes,2,opt,name=last_name,json=lastName,proto3" json:"last_name,omitempty"`
	Username          string         `protobuf:"bytes,5,opt,name=username,proto3" json:"username,omitempty"` // nethz
	VisMembership     MembershipType `protobuf:"varint,3,opt,name=vis_membership,json=visMembership,proto3,enum=vseth.vis.people.MembershipType" json:"vis_membership,omitempty"`
	VisActive         bool           `protobuf:"varint,6,opt,name=vis_active,json=visActive,proto3" json:"vis_active,omitempty"`
	VisGroups         []string       `protobuf:"bytes,4,rep,name=vis_groups,json=visGroups,proto3" json:"vis_groups,omitempty"`
	PrimaryEmail      string         `protobuf:"bytes,8,opt,name=primary_email,json=primaryEmail,proto3" json:"primary_email,omitempty"`                // official VIS email
	AlternativeEmails []string       `protobuf:"bytes,7,rep,name=alternative_emails,json=alternativeEmails,proto3" json:"alternative_emails,omitempty"` // default comes from eth ldap (not student email), UI to change, required on create
}

func (x *VisPerson) Reset() {
	*x = VisPerson{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_people_people_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VisPerson) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VisPerson) ProtoMessage() {}

func (x *VisPerson) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_people_people_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VisPerson.ProtoReflect.Descriptor instead.
func (*VisPerson) Descriptor() ([]byte, []int) {
	return file_vseth_vis_people_people_proto_rawDescGZIP(), []int{10}
}

func (x *VisPerson) GetFirstName() string {
	if x != nil {
		return x.FirstName
	}
	return ""
}

func (x *VisPerson) GetLastName() string {
	if x != nil {
		return x.LastName
	}
	return ""
}

func (x *VisPerson) GetUsername() string {
	if x != nil {
		return x.Username
	}
	return ""
}

func (x *VisPerson) GetVisMembership() MembershipType {
	if x != nil {
		return x.VisMembership
	}
	return MembershipType_NONE
}

func (x *VisPerson) GetVisActive() bool {
	if x != nil {
		return x.VisActive
	}
	return false
}

func (x *VisPerson) GetVisGroups() []string {
	if x != nil {
		return x.VisGroups
	}
	return nil
}

func (x *VisPerson) GetPrimaryEmail() string {
	if x != nil {
		return x.PrimaryEmail
	}
	return ""
}

func (x *VisPerson) GetAlternativeEmails() []string {
	if x != nil {
		return x.AlternativeEmails
	}
	return nil
}

type CreateVisPersonRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FirstName         string   `protobuf:"bytes,1,opt,name=first_name,json=firstName,proto3" json:"first_name,omitempty"`
	LastName          string   `protobuf:"bytes,2,opt,name=last_name,json=lastName,proto3" json:"last_name,omitempty"`
	Username          string   `protobuf:"bytes,5,opt,name=username,proto3" json:"username,omitempty"` // nethz
	AlternativeEmails []string `protobuf:"bytes,7,rep,name=alternative_emails,json=alternativeEmails,proto3" json:"alternative_emails,omitempty"`
}

func (x *CreateVisPersonRequest) Reset() {
	*x = CreateVisPersonRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_people_people_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateVisPersonRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateVisPersonRequest) ProtoMessage() {}

func (x *CreateVisPersonRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_people_people_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateVisPersonRequest.ProtoReflect.Descriptor instead.
func (*CreateVisPersonRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_people_people_proto_rawDescGZIP(), []int{11}
}

func (x *CreateVisPersonRequest) GetFirstName() string {
	if x != nil {
		return x.FirstName
	}
	return ""
}

func (x *CreateVisPersonRequest) GetLastName() string {
	if x != nil {
		return x.LastName
	}
	return ""
}

func (x *CreateVisPersonRequest) GetUsername() string {
	if x != nil {
		return x.Username
	}
	return ""
}

func (x *CreateVisPersonRequest) GetAlternativeEmails() []string {
	if x != nil {
		return x.AlternativeEmails
	}
	return nil
}

type ModifyVisPersonRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Username string `protobuf:"bytes,1,opt,name=username,proto3" json:"username,omitempty"`
	// updated if set:
	Password          string               `protobuf:"bytes,2,opt,name=password,proto3" json:"password,omitempty"`
	AlternativeEmails *RepeatedStringValue `protobuf:"bytes,3,opt,name=alternative_emails,json=alternativeEmails,proto3" json:"alternative_emails,omitempty"`
	// add_to_group contains the name of one group to add the user to.
	// If add_to_group is not set (empty), nothing is done.
	// If the user is already in that group, then nothing is changed and
	// no error is returned. If the group doesn't exist, this fails.
	AddToGroup string `protobuf:"bytes,4,opt,name=add_to_group,json=addToGroup,proto3" json:"add_to_group,omitempty"`
	// remove_from_group contains the name of one group to remove the user from.
	// If remove_from_group is not set (empty), nothing is done.
	// If the user is already not in that group, then nothing is changed and
	// no error is returned. If the group doesn't exist, this fails.
	RemoveFromGroup string `protobuf:"bytes,5,opt,name=remove_from_group,json=removeFromGroup,proto3" json:"remove_from_group,omitempty"` // Note: add_to_group and remove_from_group can not be equal.
}

func (x *ModifyVisPersonRequest) Reset() {
	*x = ModifyVisPersonRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_people_people_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ModifyVisPersonRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ModifyVisPersonRequest) ProtoMessage() {}

func (x *ModifyVisPersonRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_people_people_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ModifyVisPersonRequest.ProtoReflect.Descriptor instead.
func (*ModifyVisPersonRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_people_people_proto_rawDescGZIP(), []int{12}
}

func (x *ModifyVisPersonRequest) GetUsername() string {
	if x != nil {
		return x.Username
	}
	return ""
}

func (x *ModifyVisPersonRequest) GetPassword() string {
	if x != nil {
		return x.Password
	}
	return ""
}

func (x *ModifyVisPersonRequest) GetAlternativeEmails() *RepeatedStringValue {
	if x != nil {
		return x.AlternativeEmails
	}
	return nil
}

func (x *ModifyVisPersonRequest) GetAddToGroup() string {
	if x != nil {
		return x.AddToGroup
	}
	return ""
}

func (x *ModifyVisPersonRequest) GetRemoveFromGroup() string {
	if x != nil {
		return x.RemoveFromGroup
	}
	return ""
}

type AlumniPerson struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FirstName         string   `protobuf:"bytes,1,opt,name=first_name,json=firstName,proto3" json:"first_name,omitempty"`
	LastName          string   `protobuf:"bytes,2,opt,name=last_name,json=lastName,proto3" json:"last_name,omitempty"`
	Username          string   `protobuf:"bytes,5,opt,name=username,proto3" json:"username,omitempty"`                                            // nethz
	PrimaryEmail      string   `protobuf:"bytes,8,opt,name=primary_email,json=primaryEmail,proto3" json:"primary_email,omitempty"`                // official VIS alumni email
	AlternativeEmails []string `protobuf:"bytes,7,rep,name=alternative_emails,json=alternativeEmails,proto3" json:"alternative_emails,omitempty"` // not eth student email
	StreetAddress     string   `protobuf:"bytes,3,opt,name=street_address,json=streetAddress,proto3" json:"street_address,omitempty"`
}

func (x *AlumniPerson) Reset() {
	*x = AlumniPerson{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_people_people_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AlumniPerson) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AlumniPerson) ProtoMessage() {}

func (x *AlumniPerson) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_people_people_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AlumniPerson.ProtoReflect.Descriptor instead.
func (*AlumniPerson) Descriptor() ([]byte, []int) {
	return file_vseth_vis_people_people_proto_rawDescGZIP(), []int{13}
}

func (x *AlumniPerson) GetFirstName() string {
	if x != nil {
		return x.FirstName
	}
	return ""
}

func (x *AlumniPerson) GetLastName() string {
	if x != nil {
		return x.LastName
	}
	return ""
}

func (x *AlumniPerson) GetUsername() string {
	if x != nil {
		return x.Username
	}
	return ""
}

func (x *AlumniPerson) GetPrimaryEmail() string {
	if x != nil {
		return x.PrimaryEmail
	}
	return ""
}

func (x *AlumniPerson) GetAlternativeEmails() []string {
	if x != nil {
		return x.AlternativeEmails
	}
	return nil
}

func (x *AlumniPerson) GetStreetAddress() string {
	if x != nil {
		return x.StreetAddress
	}
	return ""
}

type CreateAlumniPersonRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FirstName         string   `protobuf:"bytes,1,opt,name=first_name,json=firstName,proto3" json:"first_name,omitempty"`
	LastName          string   `protobuf:"bytes,2,opt,name=last_name,json=lastName,proto3" json:"last_name,omitempty"`
	Username          string   `protobuf:"bytes,5,opt,name=username,proto3" json:"username,omitempty"`                                            // nethz
	AlternativeEmails []string `protobuf:"bytes,7,rep,name=alternative_emails,json=alternativeEmails,proto3" json:"alternative_emails,omitempty"` // not eth student email
	StreetAddress     string   `protobuf:"bytes,3,opt,name=street_address,json=streetAddress,proto3" json:"street_address,omitempty"`
}

func (x *CreateAlumniPersonRequest) Reset() {
	*x = CreateAlumniPersonRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_people_people_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateAlumniPersonRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateAlumniPersonRequest) ProtoMessage() {}

func (x *CreateAlumniPersonRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_people_people_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateAlumniPersonRequest.ProtoReflect.Descriptor instead.
func (*CreateAlumniPersonRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_people_people_proto_rawDescGZIP(), []int{14}
}

func (x *CreateAlumniPersonRequest) GetFirstName() string {
	if x != nil {
		return x.FirstName
	}
	return ""
}

func (x *CreateAlumniPersonRequest) GetLastName() string {
	if x != nil {
		return x.LastName
	}
	return ""
}

func (x *CreateAlumniPersonRequest) GetUsername() string {
	if x != nil {
		return x.Username
	}
	return ""
}

func (x *CreateAlumniPersonRequest) GetAlternativeEmails() []string {
	if x != nil {
		return x.AlternativeEmails
	}
	return nil
}

func (x *CreateAlumniPersonRequest) GetStreetAddress() string {
	if x != nil {
		return x.StreetAddress
	}
	return ""
}

type ModifyAlumniPersonRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Username string `protobuf:"bytes,1,opt,name=username,proto3" json:"username,omitempty"`
	// updated if set:
	Password          string               `protobuf:"bytes,2,opt,name=password,proto3" json:"password,omitempty"`
	AlternativeEmails *RepeatedStringValue `protobuf:"bytes,3,opt,name=alternative_emails,json=alternativeEmails,proto3" json:"alternative_emails,omitempty"`
	StreetAddress     *StringValue         `protobuf:"bytes,4,opt,name=street_address,json=streetAddress,proto3" json:"street_address,omitempty"`
}

func (x *ModifyAlumniPersonRequest) Reset() {
	*x = ModifyAlumniPersonRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_people_people_proto_msgTypes[15]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ModifyAlumniPersonRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ModifyAlumniPersonRequest) ProtoMessage() {}

func (x *ModifyAlumniPersonRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_people_people_proto_msgTypes[15]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ModifyAlumniPersonRequest.ProtoReflect.Descriptor instead.
func (*ModifyAlumniPersonRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_people_people_proto_rawDescGZIP(), []int{15}
}

func (x *ModifyAlumniPersonRequest) GetUsername() string {
	if x != nil {
		return x.Username
	}
	return ""
}

func (x *ModifyAlumniPersonRequest) GetPassword() string {
	if x != nil {
		return x.Password
	}
	return ""
}

func (x *ModifyAlumniPersonRequest) GetAlternativeEmails() *RepeatedStringValue {
	if x != nil {
		return x.AlternativeEmails
	}
	return nil
}

func (x *ModifyAlumniPersonRequest) GetStreetAddress() *StringValue {
	if x != nil {
		return x.StreetAddress
	}
	return nil
}

type ModifyServiceAccountRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Username string `protobuf:"bytes,1,opt,name=username,proto3" json:"username,omitempty"` // this is not a nethz username
	// updated if set:
	AlternativeEmails *RepeatedStringValue `protobuf:"bytes,3,opt,name=alternative_emails,json=alternativeEmails,proto3" json:"alternative_emails,omitempty"`
}

func (x *ModifyServiceAccountRequest) Reset() {
	*x = ModifyServiceAccountRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_people_people_proto_msgTypes[16]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ModifyServiceAccountRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ModifyServiceAccountRequest) ProtoMessage() {}

func (x *ModifyServiceAccountRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_people_people_proto_msgTypes[16]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ModifyServiceAccountRequest.ProtoReflect.Descriptor instead.
func (*ModifyServiceAccountRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_people_people_proto_rawDescGZIP(), []int{16}
}

func (x *ModifyServiceAccountRequest) GetUsername() string {
	if x != nil {
		return x.Username
	}
	return ""
}

func (x *ModifyServiceAccountRequest) GetAlternativeEmails() *RepeatedStringValue {
	if x != nil {
		return x.AlternativeEmails
	}
	return nil
}

type UpdateVisMembersRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Usernames []string `protobuf:"bytes,1,rep,name=usernames,proto3" json:"usernames,omitempty"`
	// Deprecated: Do not use.
	PreserveOld  bool `protobuf:"varint,2,opt,name=preserve_old,json=preserveOld,proto3" json:"preserve_old,omitempty"`    // if set: the given username are appended to the existing list, if not set: ONLY the given username will be in the list
	FlushMembers bool `protobuf:"varint,3,opt,name=flush_members,json=flushMembers,proto3" json:"flush_members,omitempty"` // if set: ONLY the given username will be in the list, otherwise: the given username are appended to the existing list
}

func (x *UpdateVisMembersRequest) Reset() {
	*x = UpdateVisMembersRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_people_people_proto_msgTypes[17]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateVisMembersRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateVisMembersRequest) ProtoMessage() {}

func (x *UpdateVisMembersRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_people_people_proto_msgTypes[17]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateVisMembersRequest.ProtoReflect.Descriptor instead.
func (*UpdateVisMembersRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_people_people_proto_rawDescGZIP(), []int{17}
}

func (x *UpdateVisMembersRequest) GetUsernames() []string {
	if x != nil {
		return x.Usernames
	}
	return nil
}

// Deprecated: Do not use.
func (x *UpdateVisMembersRequest) GetPreserveOld() bool {
	if x != nil {
		return x.PreserveOld
	}
	return false
}

func (x *UpdateVisMembersRequest) GetFlushMembers() bool {
	if x != nil {
		return x.FlushMembers
	}
	return false
}

type UpdateResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	UpdatedUsernames []string `protobuf:"bytes,1,rep,name=updated_usernames,json=updatedUsernames,proto3" json:"updated_usernames,omitempty"`
}

func (x *UpdateResponse) Reset() {
	*x = UpdateResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_people_people_proto_msgTypes[18]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateResponse) ProtoMessage() {}

func (x *UpdateResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_people_people_proto_msgTypes[18]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateResponse.ProtoReflect.Descriptor instead.
func (*UpdateResponse) Descriptor() ([]byte, []int) {
	return file_vseth_vis_people_people_proto_rawDescGZIP(), []int{18}
}

func (x *UpdateResponse) GetUpdatedUsernames() []string {
	if x != nil {
		return x.UpdatedUsernames
	}
	return nil
}

var File_vseth_vis_people_people_proto protoreflect.FileDescriptor

var file_vseth_vis_people_people_proto_rawDesc = []byte{
	0x0a, 0x1d, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x76, 0x69, 0x73, 0x2f, 0x70, 0x65, 0x6f, 0x70,
	0x6c, 0x65, 0x2f, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12,
	0x10, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c,
	0x65, 0x22, 0x2b, 0x0a, 0x13, 0x52, 0x65, 0x70, 0x65, 0x61, 0x74, 0x65, 0x64, 0x53, 0x74, 0x72,
	0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75,
	0x65, 0x18, 0x01, 0x20, 0x03, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0x23,
	0x0a, 0x0b, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x14, 0x0a,
	0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x22, 0x07, 0x0a, 0x05, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x22, 0x2e, 0x0a, 0x10,
	0x47, 0x65, 0x74, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x12, 0x1a, 0x0a, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x22, 0x13, 0x0a, 0x11,
	0x4c, 0x69, 0x73, 0x74, 0x50, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x22, 0x31, 0x0a, 0x13, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x65, 0x72, 0x73, 0x6f,
	0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1a, 0x0a, 0x08, 0x75, 0x73, 0x65, 0x72,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x75, 0x73, 0x65, 0x72,
	0x6e, 0x61, 0x6d, 0x65, 0x22, 0x4b, 0x0a, 0x11, 0x41, 0x75, 0x74, 0x68, 0x50, 0x65, 0x72, 0x73,
	0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1a, 0x0a, 0x08, 0x75, 0x73, 0x65,
	0x72, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x75, 0x73, 0x65,
	0x72, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72,
	0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72,
	0x64, 0x22, 0x24, 0x0a, 0x12, 0x41, 0x75, 0x74, 0x68, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x6f, 0x6b, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x08, 0x52, 0x02, 0x6f, 0x6b, 0x22, 0x2d, 0x0a, 0x0f, 0x57, 0x72, 0x61, 0x70, 0x70,
	0x65, 0x64, 0x55, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x75, 0x73,
	0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x75, 0x73,
	0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x22, 0xf1, 0x02, 0x0a, 0x09, 0x45, 0x74, 0x68, 0x50, 0x65,
	0x72, 0x73, 0x6f, 0x6e, 0x12, 0x1d, 0x0a, 0x0a, 0x66, 0x69, 0x72, 0x73, 0x74, 0x5f, 0x6e, 0x61,
	0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x66, 0x69, 0x72, 0x73, 0x74, 0x4e,
	0x61, 0x6d, 0x65, 0x12, 0x1b, 0x0a, 0x09, 0x6c, 0x61, 0x73, 0x74, 0x5f, 0x6e, 0x61, 0x6d, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x6c, 0x61, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65,
	0x12, 0x47, 0x0a, 0x0e, 0x76, 0x69, 0x73, 0x5f, 0x6d, 0x65, 0x6d, 0x62, 0x65, 0x72, 0x73, 0x68,
	0x69, 0x70, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x20, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x4d, 0x65, 0x6d, 0x62,
	0x65, 0x72, 0x73, 0x68, 0x69, 0x70, 0x54, 0x79, 0x70, 0x65, 0x52, 0x0d, 0x76, 0x69, 0x73, 0x4d,
	0x65, 0x6d, 0x62, 0x65, 0x72, 0x73, 0x68, 0x69, 0x70, 0x12, 0x1d, 0x0a, 0x0a, 0x76, 0x69, 0x73,
	0x5f, 0x61, 0x63, 0x74, 0x69, 0x76, 0x65, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x08, 0x52, 0x09, 0x76,
	0x69, 0x73, 0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x75, 0x73, 0x65, 0x72,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x75, 0x73, 0x65, 0x72,
	0x6e, 0x61, 0x6d, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x18, 0x06, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x05, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x12, 0x49, 0x0a, 0x12, 0x70, 0x72,
	0x65, 0x66, 0x65, 0x72, 0x72, 0x65, 0x64, 0x5f, 0x6c, 0x61, 0x6e, 0x67, 0x75, 0x61, 0x67, 0x65,
	0x18, 0x07, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x1a, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76,
	0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x4c, 0x61, 0x6e, 0x67, 0x75, 0x61,
	0x67, 0x65, 0x52, 0x11, 0x70, 0x72, 0x65, 0x66, 0x65, 0x72, 0x72, 0x65, 0x64, 0x4c, 0x61, 0x6e,
	0x67, 0x75, 0x61, 0x67, 0x65, 0x12, 0x20, 0x0a, 0x0c, 0x75, 0x6e, 0x69, 0x71, 0x75, 0x65, 0x5f,
	0x69, 0x64, 0x5f, 0x6e, 0x72, 0x18, 0x08, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0a, 0x75, 0x6e, 0x69,
	0x71, 0x75, 0x65, 0x49, 0x64, 0x4e, 0x72, 0x12, 0x1b, 0x0a, 0x09, 0x75, 0x6e, 0x69, 0x71, 0x75,
	0x65, 0x5f, 0x69, 0x64, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x75, 0x6e, 0x69, 0x71,
	0x75, 0x65, 0x49, 0x64, 0x4a, 0x04, 0x08, 0x03, 0x10, 0x04, 0x22, 0xbe, 0x02, 0x0a, 0x09, 0x56,
	0x69, 0x73, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x12, 0x1d, 0x0a, 0x0a, 0x66, 0x69, 0x72, 0x73,
	0x74, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x66, 0x69,
	0x72, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1b, 0x0a, 0x09, 0x6c, 0x61, 0x73, 0x74, 0x5f,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x6c, 0x61, 0x73, 0x74,
	0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65,
	0x12, 0x47, 0x0a, 0x0e, 0x76, 0x69, 0x73, 0x5f, 0x6d, 0x65, 0x6d, 0x62, 0x65, 0x72, 0x73, 0x68,
	0x69, 0x70, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x20, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x4d, 0x65, 0x6d, 0x62,
	0x65, 0x72, 0x73, 0x68, 0x69, 0x70, 0x54, 0x79, 0x70, 0x65, 0x52, 0x0d, 0x76, 0x69, 0x73, 0x4d,
	0x65, 0x6d, 0x62, 0x65, 0x72, 0x73, 0x68, 0x69, 0x70, 0x12, 0x1d, 0x0a, 0x0a, 0x76, 0x69, 0x73,
	0x5f, 0x61, 0x63, 0x74, 0x69, 0x76, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x08, 0x52, 0x09, 0x76,
	0x69, 0x73, 0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x76, 0x69, 0x73, 0x5f,
	0x67, 0x72, 0x6f, 0x75, 0x70, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x09, 0x52, 0x09, 0x76, 0x69,
	0x73, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x73, 0x12, 0x23, 0x0a, 0x0d, 0x70, 0x72, 0x69, 0x6d, 0x61,
	0x72, 0x79, 0x5f, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c,
	0x70, 0x72, 0x69, 0x6d, 0x61, 0x72, 0x79, 0x45, 0x6d, 0x61, 0x69, 0x6c, 0x12, 0x2d, 0x0a, 0x12,
	0x61, 0x6c, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x74, 0x69, 0x76, 0x65, 0x5f, 0x65, 0x6d, 0x61, 0x69,
	0x6c, 0x73, 0x18, 0x07, 0x20, 0x03, 0x28, 0x09, 0x52, 0x11, 0x61, 0x6c, 0x74, 0x65, 0x72, 0x6e,
	0x61, 0x74, 0x69, 0x76, 0x65, 0x45, 0x6d, 0x61, 0x69, 0x6c, 0x73, 0x22, 0xa5, 0x01, 0x0a, 0x16,
	0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x56, 0x69, 0x73, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1d, 0x0a, 0x0a, 0x66, 0x69, 0x72, 0x73, 0x74, 0x5f,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x66, 0x69, 0x72, 0x73,
	0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1b, 0x0a, 0x09, 0x6c, 0x61, 0x73, 0x74, 0x5f, 0x6e, 0x61,
	0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x6c, 0x61, 0x73, 0x74, 0x4e, 0x61,
	0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x05,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x2d,
	0x0a, 0x12, 0x61, 0x6c, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x74, 0x69, 0x76, 0x65, 0x5f, 0x65, 0x6d,
	0x61, 0x69, 0x6c, 0x73, 0x18, 0x07, 0x20, 0x03, 0x28, 0x09, 0x52, 0x11, 0x61, 0x6c, 0x74, 0x65,
	0x72, 0x6e, 0x61, 0x74, 0x69, 0x76, 0x65, 0x45, 0x6d, 0x61, 0x69, 0x6c, 0x73, 0x4a, 0x04, 0x08,
	0x04, 0x10, 0x05, 0x22, 0xf4, 0x01, 0x0a, 0x16, 0x4d, 0x6f, 0x64, 0x69, 0x66, 0x79, 0x56, 0x69,
	0x73, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1a,
	0x0a, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x70, 0x61,
	0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x70, 0x61,
	0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x12, 0x54, 0x0a, 0x12, 0x61, 0x6c, 0x74, 0x65, 0x72, 0x6e,
	0x61, 0x74, 0x69, 0x76, 0x65, 0x5f, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x73, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x25, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70,
	0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x52, 0x65, 0x70, 0x65, 0x61, 0x74, 0x65, 0x64, 0x53, 0x74,
	0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x11, 0x61, 0x6c, 0x74, 0x65, 0x72,
	0x6e, 0x61, 0x74, 0x69, 0x76, 0x65, 0x45, 0x6d, 0x61, 0x69, 0x6c, 0x73, 0x12, 0x20, 0x0a, 0x0c,
	0x61, 0x64, 0x64, 0x5f, 0x74, 0x6f, 0x5f, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0a, 0x61, 0x64, 0x64, 0x54, 0x6f, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x12, 0x2a,
	0x0a, 0x11, 0x72, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x5f, 0x66, 0x72, 0x6f, 0x6d, 0x5f, 0x67, 0x72,
	0x6f, 0x75, 0x70, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x72, 0x65, 0x6d, 0x6f, 0x76,
	0x65, 0x46, 0x72, 0x6f, 0x6d, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x22, 0xe1, 0x01, 0x0a, 0x0c, 0x41,
	0x6c, 0x75, 0x6d, 0x6e, 0x69, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x12, 0x1d, 0x0a, 0x0a, 0x66,
	0x69, 0x72, 0x73, 0x74, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x09, 0x66, 0x69, 0x72, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1b, 0x0a, 0x09, 0x6c, 0x61,
	0x73, 0x74, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x6c,
	0x61, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e,
	0x61, 0x6d, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e,
	0x61, 0x6d, 0x65, 0x12, 0x23, 0x0a, 0x0d, 0x70, 0x72, 0x69, 0x6d, 0x61, 0x72, 0x79, 0x5f, 0x65,
	0x6d, 0x61, 0x69, 0x6c, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x70, 0x72, 0x69, 0x6d,
	0x61, 0x72, 0x79, 0x45, 0x6d, 0x61, 0x69, 0x6c, 0x12, 0x2d, 0x0a, 0x12, 0x61, 0x6c, 0x74, 0x65,
	0x72, 0x6e, 0x61, 0x74, 0x69, 0x76, 0x65, 0x5f, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x73, 0x18, 0x07,
	0x20, 0x03, 0x28, 0x09, 0x52, 0x11, 0x61, 0x6c, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x74, 0x69, 0x76,
	0x65, 0x45, 0x6d, 0x61, 0x69, 0x6c, 0x73, 0x12, 0x25, 0x0a, 0x0e, 0x73, 0x74, 0x72, 0x65, 0x65,
	0x74, 0x5f, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x0d, 0x73, 0x74, 0x72, 0x65, 0x65, 0x74, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x22, 0xc9,
	0x01, 0x0a, 0x19, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x41, 0x6c, 0x75, 0x6d, 0x6e, 0x69, 0x50,
	0x65, 0x72, 0x73, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1d, 0x0a, 0x0a,
	0x66, 0x69, 0x72, 0x73, 0x74, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x09, 0x66, 0x69, 0x72, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1b, 0x0a, 0x09, 0x6c,
	0x61, 0x73, 0x74, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08,
	0x6c, 0x61, 0x73, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x75, 0x73, 0x65, 0x72,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x75, 0x73, 0x65, 0x72,
	0x6e, 0x61, 0x6d, 0x65, 0x12, 0x2d, 0x0a, 0x12, 0x61, 0x6c, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x74,
	0x69, 0x76, 0x65, 0x5f, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x73, 0x18, 0x07, 0x20, 0x03, 0x28, 0x09,
	0x52, 0x11, 0x61, 0x6c, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x74, 0x69, 0x76, 0x65, 0x45, 0x6d, 0x61,
	0x69, 0x6c, 0x73, 0x12, 0x25, 0x0a, 0x0e, 0x73, 0x74, 0x72, 0x65, 0x65, 0x74, 0x5f, 0x61, 0x64,
	0x64, 0x72, 0x65, 0x73, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x73, 0x74, 0x72,
	0x65, 0x65, 0x74, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x22, 0xef, 0x01, 0x0a, 0x19, 0x4d,
	0x6f, 0x64, 0x69, 0x66, 0x79, 0x41, 0x6c, 0x75, 0x6d, 0x6e, 0x69, 0x50, 0x65, 0x72, 0x73, 0x6f,
	0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1a, 0x0a, 0x08, 0x75, 0x73, 0x65, 0x72,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x75, 0x73, 0x65, 0x72,
	0x6e, 0x61, 0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64,
	0x12, 0x54, 0x0a, 0x12, 0x61, 0x6c, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x74, 0x69, 0x76, 0x65, 0x5f,
	0x65, 0x6d, 0x61, 0x69, 0x6c, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x76,
	0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e,
	0x52, 0x65, 0x70, 0x65, 0x61, 0x74, 0x65, 0x64, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61,
	0x6c, 0x75, 0x65, 0x52, 0x11, 0x61, 0x6c, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x74, 0x69, 0x76, 0x65,
	0x45, 0x6d, 0x61, 0x69, 0x6c, 0x73, 0x12, 0x44, 0x0a, 0x0e, 0x73, 0x74, 0x72, 0x65, 0x65, 0x74,
	0x5f, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1d,
	0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c,
	0x65, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x0d, 0x73,
	0x74, 0x72, 0x65, 0x65, 0x74, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x22, 0x8f, 0x01, 0x0a,
	0x1b, 0x4d, 0x6f, 0x64, 0x69, 0x66, 0x79, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x41, 0x63,
	0x63, 0x6f, 0x75, 0x6e, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1a, 0x0a, 0x08,
	0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08,
	0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x54, 0x0a, 0x12, 0x61, 0x6c, 0x74, 0x65,
	0x72, 0x6e, 0x61, 0x74, 0x69, 0x76, 0x65, 0x5f, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x73, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73,
	0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x52, 0x65, 0x70, 0x65, 0x61, 0x74, 0x65, 0x64,
	0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x11, 0x61, 0x6c, 0x74,
	0x65, 0x72, 0x6e, 0x61, 0x74, 0x69, 0x76, 0x65, 0x45, 0x6d, 0x61, 0x69, 0x6c, 0x73, 0x22, 0x83,
	0x01, 0x0a, 0x17, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x56, 0x69, 0x73, 0x4d, 0x65, 0x6d, 0x62,
	0x65, 0x72, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1c, 0x0a, 0x09, 0x75, 0x73,
	0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x09, 0x52, 0x09, 0x75,
	0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x12, 0x25, 0x0a, 0x0c, 0x70, 0x72, 0x65, 0x73,
	0x65, 0x72, 0x76, 0x65, 0x5f, 0x6f, 0x6c, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x08, 0x42, 0x02,
	0x18, 0x01, 0x52, 0x0b, 0x70, 0x72, 0x65, 0x73, 0x65, 0x72, 0x76, 0x65, 0x4f, 0x6c, 0x64, 0x12,
	0x23, 0x0a, 0x0d, 0x66, 0x6c, 0x75, 0x73, 0x68, 0x5f, 0x6d, 0x65, 0x6d, 0x62, 0x65, 0x72, 0x73,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0c, 0x66, 0x6c, 0x75, 0x73, 0x68, 0x4d, 0x65, 0x6d,
	0x62, 0x65, 0x72, 0x73, 0x22, 0x3d, 0x0a, 0x0e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2b, 0x0a, 0x11, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x64, 0x5f, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28,
	0x09, 0x52, 0x10, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x55, 0x73, 0x65, 0x72, 0x6e, 0x61,
	0x6d, 0x65, 0x73, 0x2a, 0x5e, 0x0a, 0x0e, 0x4d, 0x65, 0x6d, 0x62, 0x65, 0x72, 0x73, 0x68, 0x69,
	0x70, 0x54, 0x79, 0x70, 0x65, 0x12, 0x08, 0x0a, 0x04, 0x4e, 0x4f, 0x4e, 0x45, 0x10, 0x00, 0x12,
	0x19, 0x0a, 0x11, 0x41, 0x43, 0x54, 0x49, 0x56, 0x45, 0x5f, 0x44, 0x4f, 0x5f, 0x4e, 0x4f, 0x54,
	0x5f, 0x55, 0x53, 0x45, 0x10, 0x01, 0x1a, 0x02, 0x08, 0x01, 0x12, 0x0b, 0x0a, 0x07, 0x50, 0x41,
	0x53, 0x53, 0x49, 0x56, 0x45, 0x10, 0x02, 0x12, 0x0c, 0x0a, 0x08, 0x48, 0x4f, 0x4e, 0x4f, 0x52,
	0x41, 0x52, 0x59, 0x10, 0x03, 0x12, 0x0c, 0x0a, 0x08, 0x4f, 0x52, 0x44, 0x49, 0x4e, 0x41, 0x52,
	0x59, 0x10, 0x04, 0x2a, 0x3c, 0x0a, 0x08, 0x4c, 0x61, 0x6e, 0x67, 0x75, 0x61, 0x67, 0x65, 0x12,
	0x0a, 0x0a, 0x06, 0x47, 0x45, 0x52, 0x4d, 0x41, 0x4e, 0x10, 0x00, 0x12, 0x0a, 0x0a, 0x06, 0x46,
	0x52, 0x45, 0x4e, 0x43, 0x48, 0x10, 0x01, 0x12, 0x0b, 0x0a, 0x07, 0x49, 0x54, 0x41, 0x4c, 0x49,
	0x41, 0x4e, 0x10, 0x02, 0x12, 0x0b, 0x0a, 0x07, 0x45, 0x4e, 0x47, 0x4c, 0x49, 0x53, 0x48, 0x10,
	0x03, 0x32, 0x96, 0x0f, 0x0a, 0x06, 0x50, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x12, 0x4f, 0x0a, 0x0c,
	0x47, 0x65, 0x74, 0x45, 0x74, 0x68, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x12, 0x22, 0x2e, 0x76,
	0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e,
	0x47, 0x65, 0x74, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x1b, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f,
	0x70, 0x6c, 0x65, 0x2e, 0x45, 0x74, 0x68, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x12, 0x5a, 0x0a,
	0x0d, 0x41, 0x75, 0x74, 0x68, 0x45, 0x74, 0x68, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x12, 0x23,
	0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c,
	0x65, 0x2e, 0x41, 0x75, 0x74, 0x68, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x24, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e,
	0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x41, 0x75, 0x74, 0x68, 0x50, 0x65, 0x72, 0x73, 0x6f,
	0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x53, 0x0a, 0x0d, 0x4c, 0x69, 0x73,
	0x74, 0x45, 0x74, 0x68, 0x50, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x12, 0x23, 0x2e, 0x76, 0x73, 0x65,
	0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x4c, 0x69,
	0x73, 0x74, 0x50, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x1b, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70,
	0x6c, 0x65, 0x2e, 0x45, 0x74, 0x68, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x30, 0x01, 0x12, 0x4f,
	0x0a, 0x0c, 0x47, 0x65, 0x74, 0x56, 0x69, 0x73, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x12, 0x22,
	0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c,
	0x65, 0x2e, 0x47, 0x65, 0x74, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x1b, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70,
	0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x56, 0x69, 0x73, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x12,
	0x5a, 0x0a, 0x0d, 0x41, 0x75, 0x74, 0x68, 0x56, 0x69, 0x73, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e,
	0x12, 0x23, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f,
	0x70, 0x6c, 0x65, 0x2e, 0x41, 0x75, 0x74, 0x68, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x24, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69,
	0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x41, 0x75, 0x74, 0x68, 0x50, 0x65, 0x72,
	0x73, 0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x53, 0x0a, 0x0d, 0x4c,
	0x69, 0x73, 0x74, 0x56, 0x69, 0x73, 0x50, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x12, 0x23, 0x2e, 0x76,
	0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e,
	0x4c, 0x69, 0x73, 0x74, 0x50, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x1b, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65,
	0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x56, 0x69, 0x73, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x30, 0x01,
	0x12, 0x54, 0x0a, 0x0f, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x56, 0x69, 0x73, 0x50, 0x65, 0x72,
	0x73, 0x6f, 0x6e, 0x12, 0x28, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e,
	0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x56, 0x69, 0x73,
	0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x17, 0x2e,
	0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65,
	0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x12, 0x54, 0x0a, 0x0f, 0x4d, 0x6f, 0x64, 0x69, 0x66, 0x79,
	0x56, 0x69, 0x73, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x12, 0x28, 0x2e, 0x76, 0x73, 0x65, 0x74,
	0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x4d, 0x6f, 0x64,
	0x69, 0x66, 0x79, 0x56, 0x69, 0x73, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x17, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e,
	0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x12, 0x55, 0x0a, 0x17,
	0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x72, 0x65, 0x73, 0x65, 0x72, 0x76, 0x65, 0x56, 0x69,
	0x73, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x12, 0x21, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e,
	0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x57, 0x72, 0x61, 0x70, 0x70,
	0x65, 0x64, 0x55, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x1a, 0x17, 0x2e, 0x76, 0x73, 0x65,
	0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x45, 0x6d,
	0x70, 0x74, 0x79, 0x12, 0x58, 0x0a, 0x1a, 0x55, 0x6e, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50,
	0x72, 0x65, 0x73, 0x65, 0x72, 0x76, 0x65, 0x64, 0x56, 0x69, 0x73, 0x50, 0x65, 0x72, 0x73, 0x6f,
	0x6e, 0x12, 0x21, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65,
	0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x57, 0x72, 0x61, 0x70, 0x70, 0x65, 0x64, 0x55, 0x73, 0x65, 0x72,
	0x6e, 0x61, 0x6d, 0x65, 0x1a, 0x17, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73,
	0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x12, 0x55, 0x0a,
	0x0f, 0x47, 0x65, 0x74, 0x41, 0x6c, 0x75, 0x6d, 0x6e, 0x69, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e,
	0x12, 0x22, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f,
	0x70, 0x6c, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x1e, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73,
	0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x41, 0x6c, 0x75, 0x6d, 0x6e, 0x69, 0x50, 0x65,
	0x72, 0x73, 0x6f, 0x6e, 0x12, 0x5d, 0x0a, 0x10, 0x41, 0x75, 0x74, 0x68, 0x41, 0x6c, 0x75, 0x6d,
	0x6e, 0x69, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x12, 0x23, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x41, 0x75, 0x74, 0x68,
	0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x24, 0x2e,
	0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65,
	0x2e, 0x41, 0x75, 0x74, 0x68, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x59, 0x0a, 0x10, 0x4c, 0x69, 0x73, 0x74, 0x41, 0x6c, 0x75, 0x6d, 0x6e,
	0x69, 0x50, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x12, 0x23, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e,
	0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x50,
	0x65, 0x6f, 0x70, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1e, 0x2e, 0x76,
	0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e,
	0x41, 0x6c, 0x75, 0x6d, 0x6e, 0x69, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x30, 0x01, 0x12, 0x5a,
	0x0a, 0x12, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x41, 0x6c, 0x75, 0x6d, 0x6e, 0x69, 0x50, 0x65,
	0x72, 0x73, 0x6f, 0x6e, 0x12, 0x2b, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73,
	0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x41, 0x6c,
	0x75, 0x6d, 0x6e, 0x69, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x17, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65,
	0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x12, 0x5a, 0x0a, 0x12, 0x4d, 0x6f,
	0x64, 0x69, 0x66, 0x79, 0x41, 0x6c, 0x75, 0x6d, 0x6e, 0x69, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e,
	0x12, 0x2b, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f,
	0x70, 0x6c, 0x65, 0x2e, 0x4d, 0x6f, 0x64, 0x69, 0x66, 0x79, 0x41, 0x6c, 0x75, 0x6d, 0x6e, 0x69,
	0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x17, 0x2e,
	0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65,
	0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x12, 0x58, 0x0a, 0x1a, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65,
	0x50, 0x72, 0x65, 0x73, 0x65, 0x72, 0x76, 0x65, 0x41, 0x6c, 0x75, 0x6d, 0x6e, 0x69, 0x50, 0x65,
	0x72, 0x73, 0x6f, 0x6e, 0x12, 0x21, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73,
	0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x57, 0x72, 0x61, 0x70, 0x70, 0x65, 0x64, 0x55,
	0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x1a, 0x17, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e,
	0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79,
	0x12, 0x5b, 0x0a, 0x1d, 0x55, 0x6e, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x72, 0x65, 0x73,
	0x65, 0x72, 0x76, 0x65, 0x64, 0x41, 0x6c, 0x75, 0x6d, 0x6e, 0x69, 0x50, 0x65, 0x72, 0x73, 0x6f,
	0x6e, 0x12, 0x21, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65,
	0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x57, 0x72, 0x61, 0x70, 0x70, 0x65, 0x64, 0x55, 0x73, 0x65, 0x72,
	0x6e, 0x61, 0x6d, 0x65, 0x1a, 0x17, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73,
	0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x12, 0x5e, 0x0a,
	0x14, 0x4d, 0x6f, 0x64, 0x69, 0x66, 0x79, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x41, 0x63,
	0x63, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x2d, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69,
	0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x4d, 0x6f, 0x64, 0x69, 0x66, 0x79, 0x53,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x17, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73,
	0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x12, 0x5f, 0x0a,
	0x10, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x56, 0x69, 0x73, 0x4d, 0x65, 0x6d, 0x62, 0x65, 0x72,
	0x73, 0x12, 0x29, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65,
	0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x56, 0x69, 0x73, 0x4d, 0x65,
	0x6d, 0x62, 0x65, 0x72, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x76,
	0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e,
	0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x63,
	0x0a, 0x14, 0x54, 0x65, 0x73, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x56, 0x69, 0x73, 0x4d,
	0x65, 0x6d, 0x62, 0x65, 0x72, 0x73, 0x12, 0x29, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76,
	0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x56, 0x69, 0x73, 0x4d, 0x65, 0x6d, 0x62, 0x65, 0x72, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x20, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65,
	0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x41, 0x0a, 0x0d, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x4c, 0x69, 0x76, 0x65,
	0x6e, 0x65, 0x73, 0x73, 0x12, 0x17, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73,
	0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x1a, 0x17, 0x2e,
	0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65,
	0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x12, 0x42, 0x0a, 0x0e, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x52,
	0x65, 0x61, 0x64, 0x69, 0x6e, 0x65, 0x73, 0x73, 0x12, 0x17, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x45, 0x6d, 0x70, 0x74,
	0x79, 0x1a, 0x17, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65,
	0x6f, 0x70, 0x6c, 0x65, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x42, 0x60, 0x0a, 0x13, 0x63, 0x68,
	0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x65, 0x6f, 0x70, 0x6c,
	0x65, 0x5a, 0x49, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x65, 0x74, 0x68, 0x7a, 0x2e, 0x63,
	0x68, 0x2f, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x30, 0x34, 0x30, 0x33, 0x2d, 0x69, 0x73, 0x67,
	0x2f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x69, 0x65, 0x73, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x73, 0x74, 0x75, 0x62, 0x2d, 0x67, 0x6f, 0x6c, 0x61, 0x6e, 0x67, 0x2f, 0x76, 0x73, 0x65, 0x74,
	0x68, 0x2f, 0x76, 0x69, 0x73, 0x2f, 0x70, 0x65, 0x6f, 0x70, 0x6c, 0x65, 0x62, 0x06, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_vseth_vis_people_people_proto_rawDescOnce sync.Once
	file_vseth_vis_people_people_proto_rawDescData = file_vseth_vis_people_people_proto_rawDesc
)

func file_vseth_vis_people_people_proto_rawDescGZIP() []byte {
	file_vseth_vis_people_people_proto_rawDescOnce.Do(func() {
		file_vseth_vis_people_people_proto_rawDescData = protoimpl.X.CompressGZIP(file_vseth_vis_people_people_proto_rawDescData)
	})
	return file_vseth_vis_people_people_proto_rawDescData
}

var file_vseth_vis_people_people_proto_enumTypes = make([]protoimpl.EnumInfo, 2)
var file_vseth_vis_people_people_proto_msgTypes = make([]protoimpl.MessageInfo, 19)
var file_vseth_vis_people_people_proto_goTypes = []interface{}{
	(MembershipType)(0),                 // 0: vseth.vis.people.MembershipType
	(Language)(0),                       // 1: vseth.vis.people.Language
	(*RepeatedStringValue)(nil),         // 2: vseth.vis.people.RepeatedStringValue
	(*StringValue)(nil),                 // 3: vseth.vis.people.StringValue
	(*Empty)(nil),                       // 4: vseth.vis.people.Empty
	(*GetPersonRequest)(nil),            // 5: vseth.vis.people.GetPersonRequest
	(*ListPeopleRequest)(nil),           // 6: vseth.vis.people.ListPeopleRequest
	(*DeletePersonRequest)(nil),         // 7: vseth.vis.people.DeletePersonRequest
	(*AuthPersonRequest)(nil),           // 8: vseth.vis.people.AuthPersonRequest
	(*AuthPersonResponse)(nil),          // 9: vseth.vis.people.AuthPersonResponse
	(*WrappedUsername)(nil),             // 10: vseth.vis.people.WrappedUsername
	(*EthPerson)(nil),                   // 11: vseth.vis.people.EthPerson
	(*VisPerson)(nil),                   // 12: vseth.vis.people.VisPerson
	(*CreateVisPersonRequest)(nil),      // 13: vseth.vis.people.CreateVisPersonRequest
	(*ModifyVisPersonRequest)(nil),      // 14: vseth.vis.people.ModifyVisPersonRequest
	(*AlumniPerson)(nil),                // 15: vseth.vis.people.AlumniPerson
	(*CreateAlumniPersonRequest)(nil),   // 16: vseth.vis.people.CreateAlumniPersonRequest
	(*ModifyAlumniPersonRequest)(nil),   // 17: vseth.vis.people.ModifyAlumniPersonRequest
	(*ModifyServiceAccountRequest)(nil), // 18: vseth.vis.people.ModifyServiceAccountRequest
	(*UpdateVisMembersRequest)(nil),     // 19: vseth.vis.people.UpdateVisMembersRequest
	(*UpdateResponse)(nil),              // 20: vseth.vis.people.UpdateResponse
}
var file_vseth_vis_people_people_proto_depIdxs = []int32{
	0,  // 0: vseth.vis.people.EthPerson.vis_membership:type_name -> vseth.vis.people.MembershipType
	1,  // 1: vseth.vis.people.EthPerson.preferred_language:type_name -> vseth.vis.people.Language
	0,  // 2: vseth.vis.people.VisPerson.vis_membership:type_name -> vseth.vis.people.MembershipType
	2,  // 3: vseth.vis.people.ModifyVisPersonRequest.alternative_emails:type_name -> vseth.vis.people.RepeatedStringValue
	2,  // 4: vseth.vis.people.ModifyAlumniPersonRequest.alternative_emails:type_name -> vseth.vis.people.RepeatedStringValue
	3,  // 5: vseth.vis.people.ModifyAlumniPersonRequest.street_address:type_name -> vseth.vis.people.StringValue
	2,  // 6: vseth.vis.people.ModifyServiceAccountRequest.alternative_emails:type_name -> vseth.vis.people.RepeatedStringValue
	5,  // 7: vseth.vis.people.People.GetEthPerson:input_type -> vseth.vis.people.GetPersonRequest
	8,  // 8: vseth.vis.people.People.AuthEthPerson:input_type -> vseth.vis.people.AuthPersonRequest
	6,  // 9: vseth.vis.people.People.ListEthPeople:input_type -> vseth.vis.people.ListPeopleRequest
	5,  // 10: vseth.vis.people.People.GetVisPerson:input_type -> vseth.vis.people.GetPersonRequest
	8,  // 11: vseth.vis.people.People.AuthVisPerson:input_type -> vseth.vis.people.AuthPersonRequest
	6,  // 12: vseth.vis.people.People.ListVisPeople:input_type -> vseth.vis.people.ListPeopleRequest
	13, // 13: vseth.vis.people.People.CreateVisPerson:input_type -> vseth.vis.people.CreateVisPersonRequest
	14, // 14: vseth.vis.people.People.ModifyVisPerson:input_type -> vseth.vis.people.ModifyVisPersonRequest
	10, // 15: vseth.vis.people.People.DeletePreserveVisPerson:input_type -> vseth.vis.people.WrappedUsername
	10, // 16: vseth.vis.people.People.UndeletePreservedVisPerson:input_type -> vseth.vis.people.WrappedUsername
	5,  // 17: vseth.vis.people.People.GetAlumniPerson:input_type -> vseth.vis.people.GetPersonRequest
	8,  // 18: vseth.vis.people.People.AuthAlumniPerson:input_type -> vseth.vis.people.AuthPersonRequest
	6,  // 19: vseth.vis.people.People.ListAlumniPeople:input_type -> vseth.vis.people.ListPeopleRequest
	16, // 20: vseth.vis.people.People.CreateAlumniPerson:input_type -> vseth.vis.people.CreateAlumniPersonRequest
	17, // 21: vseth.vis.people.People.ModifyAlumniPerson:input_type -> vseth.vis.people.ModifyAlumniPersonRequest
	10, // 22: vseth.vis.people.People.DeletePreserveAlumniPerson:input_type -> vseth.vis.people.WrappedUsername
	10, // 23: vseth.vis.people.People.UndeletePreservedAlumniPerson:input_type -> vseth.vis.people.WrappedUsername
	18, // 24: vseth.vis.people.People.ModifyServiceAccount:input_type -> vseth.vis.people.ModifyServiceAccountRequest
	19, // 25: vseth.vis.people.People.UpdateVisMembers:input_type -> vseth.vis.people.UpdateVisMembersRequest
	19, // 26: vseth.vis.people.People.TestUpdateVisMembers:input_type -> vseth.vis.people.UpdateVisMembersRequest
	4,  // 27: vseth.vis.people.People.CheckLiveness:input_type -> vseth.vis.people.Empty
	4,  // 28: vseth.vis.people.People.CheckReadiness:input_type -> vseth.vis.people.Empty
	11, // 29: vseth.vis.people.People.GetEthPerson:output_type -> vseth.vis.people.EthPerson
	9,  // 30: vseth.vis.people.People.AuthEthPerson:output_type -> vseth.vis.people.AuthPersonResponse
	11, // 31: vseth.vis.people.People.ListEthPeople:output_type -> vseth.vis.people.EthPerson
	12, // 32: vseth.vis.people.People.GetVisPerson:output_type -> vseth.vis.people.VisPerson
	9,  // 33: vseth.vis.people.People.AuthVisPerson:output_type -> vseth.vis.people.AuthPersonResponse
	12, // 34: vseth.vis.people.People.ListVisPeople:output_type -> vseth.vis.people.VisPerson
	4,  // 35: vseth.vis.people.People.CreateVisPerson:output_type -> vseth.vis.people.Empty
	4,  // 36: vseth.vis.people.People.ModifyVisPerson:output_type -> vseth.vis.people.Empty
	4,  // 37: vseth.vis.people.People.DeletePreserveVisPerson:output_type -> vseth.vis.people.Empty
	4,  // 38: vseth.vis.people.People.UndeletePreservedVisPerson:output_type -> vseth.vis.people.Empty
	15, // 39: vseth.vis.people.People.GetAlumniPerson:output_type -> vseth.vis.people.AlumniPerson
	9,  // 40: vseth.vis.people.People.AuthAlumniPerson:output_type -> vseth.vis.people.AuthPersonResponse
	15, // 41: vseth.vis.people.People.ListAlumniPeople:output_type -> vseth.vis.people.AlumniPerson
	4,  // 42: vseth.vis.people.People.CreateAlumniPerson:output_type -> vseth.vis.people.Empty
	4,  // 43: vseth.vis.people.People.ModifyAlumniPerson:output_type -> vseth.vis.people.Empty
	4,  // 44: vseth.vis.people.People.DeletePreserveAlumniPerson:output_type -> vseth.vis.people.Empty
	4,  // 45: vseth.vis.people.People.UndeletePreservedAlumniPerson:output_type -> vseth.vis.people.Empty
	4,  // 46: vseth.vis.people.People.ModifyServiceAccount:output_type -> vseth.vis.people.Empty
	20, // 47: vseth.vis.people.People.UpdateVisMembers:output_type -> vseth.vis.people.UpdateResponse
	20, // 48: vseth.vis.people.People.TestUpdateVisMembers:output_type -> vseth.vis.people.UpdateResponse
	4,  // 49: vseth.vis.people.People.CheckLiveness:output_type -> vseth.vis.people.Empty
	4,  // 50: vseth.vis.people.People.CheckReadiness:output_type -> vseth.vis.people.Empty
	29, // [29:51] is the sub-list for method output_type
	7,  // [7:29] is the sub-list for method input_type
	7,  // [7:7] is the sub-list for extension type_name
	7,  // [7:7] is the sub-list for extension extendee
	0,  // [0:7] is the sub-list for field type_name
}

func init() { file_vseth_vis_people_people_proto_init() }
func file_vseth_vis_people_people_proto_init() {
	if File_vseth_vis_people_people_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_vseth_vis_people_people_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RepeatedStringValue); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_people_people_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StringValue); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_people_people_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Empty); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_people_people_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetPersonRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_people_people_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListPeopleRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_people_people_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeletePersonRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_people_people_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AuthPersonRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_people_people_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AuthPersonResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_people_people_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*WrappedUsername); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_people_people_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*EthPerson); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_people_people_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VisPerson); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_people_people_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateVisPersonRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_people_people_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ModifyVisPersonRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_people_people_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AlumniPerson); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_people_people_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateAlumniPersonRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_people_people_proto_msgTypes[15].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ModifyAlumniPersonRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_people_people_proto_msgTypes[16].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ModifyServiceAccountRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_people_people_proto_msgTypes[17].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateVisMembersRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_people_people_proto_msgTypes[18].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_vseth_vis_people_people_proto_rawDesc,
			NumEnums:      2,
			NumMessages:   19,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_vseth_vis_people_people_proto_goTypes,
		DependencyIndexes: file_vseth_vis_people_people_proto_depIdxs,
		EnumInfos:         file_vseth_vis_people_people_proto_enumTypes,
		MessageInfos:      file_vseth_vis_people_people_proto_msgTypes,
	}.Build()
	File_vseth_vis_people_people_proto = out.File
	file_vseth_vis_people_people_proto_rawDesc = nil
	file_vseth_vis_people_people_proto_goTypes = nil
	file_vseth_vis_people_people_proto_depIdxs = nil
}
